App\CoreBundle\Entity\SystemSettingGroup:
  type: entity
  repositoryClass: App\CoreBundle\Repository\SystemSettingGroupRepository
  table: system_setting_group
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    group_name:
      type: string
      length: 255
    is_visible:
      type: boolean
      default: false
  oneToMany:
    system_setting:
      targetEntity: SystemSetting
      mappedBy: system_setting_group